## org.codehaus.groovy.transform.powerassert
Class PowerAssertionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  org.codehaus.groovy.transform.powerassert.PowerAssertionError

All Implemented Interfaces:
  Serializable

    public class PowerAssertionError

extends AssertionError

Indicates that a power assertion has failed.

Author:
  Peter Niederwieser
See Also:
  Serialized Form

Constructor Summary
`PowerAssertionError(String msg)`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PowerAssertionError

    public PowerAssertionError(String msg)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Copyright © 2003-2009 The Codehaus. All rights reserved.